curl --request GET \
--url https://api.example.com/api/v1/invoices/{invoice_id} \
--header 'Authorization: Bearer <token>'{
"amount_due": 123,
"applied_credits": 123,
"coupons": [
{
"coupon_id": "<string>",
"name": "<string>",
"total": 123
}
],
"created_at": "2023-11-07T05:31:56Z",
"currency": "AED",
"customer_details": {
"id": "<string>",
"name": "<string>",
"snapshot_at": "2023-11-07T05:31:56Z",
"alias": "<string>",
"billing_address": {
"city": "<string>",
"country": "US",
"line1": "<string>",
"line2": "<string>",
"state": "<string>",
"zip_code": "<string>"
},
"email": "<string>",
"vat_number": "<string>"
},
"customer_id": "<string>",
"id": "<string>",
"invoice_date": "2023-12-25",
"invoice_number": "<string>",
"invoice_type": "Recurring",
"line_items": [
{
"amount_total": 123,
"end_date": "2023-12-25",
"name": "<string>",
"start_date": "2023-12-25",
"sub_line_items": [
{
"id": "<string>",
"name": "<string>",
"quantity": "<string>",
"total": 123,
"unit_price": "<string>"
}
],
"tax_rate": "<string>",
"description": "<string>",
"quantity": "<string>",
"unit_price": "<string>"
}
],
"net_terms": 123,
"payment_status": "Unpaid",
"status": "Draft",
"subtotal": 123,
"subtotal_recurring": 123,
"tax_amount": 123,
"tax_breakdown": [
{
"name": "<string>",
"tax_amount": 1,
"tax_rate": "<string>",
"taxable_amount": 1,
"exemption_type": "ReverseCharge"
}
],
"total": 123,
"transactions": [
{
"amount": 1,
"currency": "<string>",
"id": "<string>",
"payment_type": "Payment",
"status": "Ready",
"error": "<string>",
"payment_method_id": "pm_7n42DGM5Tflk9n8mt7Fhc7",
"payment_method_info": {
"payment_method_type": "Card",
"account_number_hint": "<string>",
"card_brand": "<string>",
"card_last4": "<string>"
},
"processed_at": "2023-11-07T05:31:56Z",
"provider_transaction_id": "<string>"
}
],
"due_date": "2023-12-25",
"finalized_at": "2023-11-07T05:31:56Z",
"marked_as_uncollectible_at": "2023-11-07T05:31:56Z",
"memo": "<string>",
"paid_at": "2023-11-07T05:31:56Z",
"purchase_order": "<string>",
"reference": "<string>",
"subscription_id": "sub_7n42DGM5Tflk9n8mt7Fhc7",
"updated_at": "2023-11-07T05:31:56Z",
"voided_at": "2023-11-07T05:31:56Z"
}Retrieve a single invoice with its payment transactions.
curl --request GET \
--url https://api.example.com/api/v1/invoices/{invoice_id} \
--header 'Authorization: Bearer <token>'{
"amount_due": 123,
"applied_credits": 123,
"coupons": [
{
"coupon_id": "<string>",
"name": "<string>",
"total": 123
}
],
"created_at": "2023-11-07T05:31:56Z",
"currency": "AED",
"customer_details": {
"id": "<string>",
"name": "<string>",
"snapshot_at": "2023-11-07T05:31:56Z",
"alias": "<string>",
"billing_address": {
"city": "<string>",
"country": "US",
"line1": "<string>",
"line2": "<string>",
"state": "<string>",
"zip_code": "<string>"
},
"email": "<string>",
"vat_number": "<string>"
},
"customer_id": "<string>",
"id": "<string>",
"invoice_date": "2023-12-25",
"invoice_number": "<string>",
"invoice_type": "Recurring",
"line_items": [
{
"amount_total": 123,
"end_date": "2023-12-25",
"name": "<string>",
"start_date": "2023-12-25",
"sub_line_items": [
{
"id": "<string>",
"name": "<string>",
"quantity": "<string>",
"total": 123,
"unit_price": "<string>"
}
],
"tax_rate": "<string>",
"description": "<string>",
"quantity": "<string>",
"unit_price": "<string>"
}
],
"net_terms": 123,
"payment_status": "Unpaid",
"status": "Draft",
"subtotal": 123,
"subtotal_recurring": 123,
"tax_amount": 123,
"tax_breakdown": [
{
"name": "<string>",
"tax_amount": 1,
"tax_rate": "<string>",
"taxable_amount": 1,
"exemption_type": "ReverseCharge"
}
],
"total": 123,
"transactions": [
{
"amount": 1,
"currency": "<string>",
"id": "<string>",
"payment_type": "Payment",
"status": "Ready",
"error": "<string>",
"payment_method_id": "pm_7n42DGM5Tflk9n8mt7Fhc7",
"payment_method_info": {
"payment_method_type": "Card",
"account_number_hint": "<string>",
"card_brand": "<string>",
"card_last4": "<string>"
},
"processed_at": "2023-11-07T05:31:56Z",
"provider_transaction_id": "<string>"
}
],
"due_date": "2023-12-25",
"finalized_at": "2023-11-07T05:31:56Z",
"marked_as_uncollectible_at": "2023-11-07T05:31:56Z",
"memo": "<string>",
"paid_at": "2023-11-07T05:31:56Z",
"purchase_order": "<string>",
"reference": "<string>",
"subscription_id": "sub_7n42DGM5Tflk9n8mt7Fhc7",
"updated_at": "2023-11-07T05:31:56Z",
"voided_at": "2023-11-07T05:31:56Z"
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Invoice ID
"inv_7n42DGM5Tflk9n8mt7Fhc7"
Invoice details
Show child attributes
AED, AFN, ALL, AMD, ANG, AOA, ARS, AUD, AWG, AZN, BAM, BBD, BDT, BGN, BHD, BIF, BMD, BND, BOB, BRL, BSD, BTN, BWP, BYN, BZD, CAD, CDF, CHF, CLP, CNH, CNY, COP, CRC, CUC, CUP, CVE, CZK, DJF, DKK, DOP, DZD, EGP, ERN, ETB, EUR, FJD, FKP, GBP, GEL, GHS, GIP, GMD, GNF, GTQ, GYD, HKD, HNL, HRK, HTG, HUF, IDR, ILS, INR, IQD, IRR, ISK, JMD, JOD, JPY, KES, KGS, KHR, KMF, KPW, KRW, KWD, KYD, KZT, LAK, LBP, LKR, LRD, LSL, LYD, MAD, MDL, MGA, MKD, MMK, MNT, MOP, MRU, MUR, MVR, MWK, MXN, MYR, MZN, NAD, NGN, NIO, NOK, NPR, NZD, OMR, PAB, PEN, PGK, PHP, PKR, PLN, PYG, QAR, RON, RSD, RUB, RWF, SAR, SBD, SCR, SDG, SEK, SGD, SHP, SLL, SOS, SRD, SSP, STD, STN, SVC, SYP, SZL, THB, TJS, TMT, TND, TOP, TRY, TTD, TWD, TZS, UAH, UGX, USD, UYU, UZS, VES, VND, VUV, WST, XAF, XCD, XOF, XPF, YER, ZAR, ZMW, ZWL "EUR"
Show child attributes
"cus_7n42DGM5Tflk9n8mt7Fhc7"
"inv_7n42DGM5Tflk9n8mt7Fhc7"
Recurring, OneOff, Adjustment, UsageThreshold Show child attributes
Unpaid, PartiallyPaid, Paid, Errored Draft, Finalized, Uncollectible, Void Show child attributes
Show child attributes
"sub_7n42DGM5Tflk9n8mt7Fhc7"